<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    Task501.30
</body>
<script>
    function countOccurrences(arr, n, x) {
        let res = 0;
        for (let i = 0; i < n; i++) {
            if (x == arr[i])
                res++;
        }
        return res;
    }

    arr = [1,2,1,4,5,1,1,3,1];
    let n = arr.length;
    let x = 1;
    console.log(countOccurrences(arr, n, x));

    function countOccurrences(arr, m, y) {
        let res = 0;
        for (let i = 0; i < m; i++) {
            if (y == arr[i])
                res++;
        }
        return res;
    }

    arr = [1,2,1,4,5,1,1,3,1];
    let m = arr.length;
    let y = 2;
    console.log(countOccurrences(arr, m, y));

</script>

</html>